interactions:
- request:
    body: '{"contents": [{"parts": [{"text": "What is the temperature in San Francisco?"}],
      "role": "user"}], "tools": [{"functionDeclarations": [{"description": "Get the
      current temperature in a city.", "name": "get_current_temperature", "parameters":
      {"properties": {"city": {"description": "The name of the city to get the temperature
      for.", "type": "STRING"}}, "required": ["city"], "type": "OBJECT"}}]}], "generationConfig":
      {}}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - '*/*'
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      connection:
      - keep-alive
      content-length:
      - '422'
      content-type:
      - application/json
      host:
      - generativelanguage.googleapis.com
      x-goog-api-client:
      - google-genai-sdk/1.49.0 gl-python/3.12.10
      x-goog-api-key:
      - X-GOOG-API-KEY-XXX
    method: POST
    uri: https://generativelanguage.googleapis.com/v1beta/models/gemini-2.0-flash:streamGenerateContent?alt=sse
  response:
    body:
      string: "data: {\"candidates\": [{\"content\": {\"parts\": [{\"functionCall\":
        {\"name\": \"get_current_temperature\",\"args\": {\"city\": \"San Francisco\"}}}],\"role\":
        \"model\"},\"finishReason\": \"STOP\"}],\"usageMetadata\": {\"promptTokenCount\":
        36,\"candidatesTokenCount\": 8,\"totalTokenCount\": 44,\"promptTokensDetails\":
        [{\"modality\": \"TEXT\",\"tokenCount\": 36}],\"candidatesTokensDetails\":
        [{\"modality\": \"TEXT\",\"tokenCount\": 8}]},\"modelVersion\": \"gemini-2.0-flash\",\"responseId\":
        \"h99badGPDrP-x_APraXUmAM\"}\r\n\r\n"
    headers:
      Alt-Svc:
      - h3=":443"; ma=2592000,h3-29=":443"; ma=2592000
      Content-Disposition:
      - attachment
      Content-Type:
      - text/event-stream
      Date:
      - Mon, 05 Jan 2026 15:57:59 GMT
      Server:
      - scaffolding on HTTPServer2
      Server-Timing:
      - gfet4t7; dur=583
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      - X-Origin
      - Referer
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      X-Frame-Options:
      - X-FRAME-OPTIONS-XXX
      X-XSS-Protection:
      - '0'
    status:
      code: 200
      message: OK
version: 1
